--
--	illustration of LIKE failing for IP addresses
--

-- temporary table:
create table test (addr ipaddr);

-- sample data from two subnets:
insert into test values ('158.37.96.15');
insert into test values ('158.37.96.16');
insert into test values ('158.37.96.17');
insert into test values ('158.37.97.15');
insert into test values ('158.37.97.16');
insert into test values ('158.37.97.17');

-- show them all:
select * from test;

-- select the ones in subnet 96 (fails):
select * from test where addr like '158.37.96.0/24';

-- select the ones not in subnet 96 (works):
select * from test where addr not like '158.37.96.0/24';

-- select the ones in subnet 97 (fails):
select * from test where addr like '158.37.97.0/24';

-- select the ones not in subnet 97 (works):
select * from test where addr not like '158.37.97.0/24';

--
--	eof
--
